EventListenerGroup (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.service.spi
Interface EventListenerGroup<T>

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  EventListenerGroupImpl

    public interface EventListenerGroup<T>

extends Serializable

Contract for a groups of events listeners for a particular event type.

Method Summary
`void` | `addDuplicationStrategy(DuplicationStrategy strategy)` Mechanism to more finely control the notion of duplicates.
`void` | `appendListener(T listener)`
`void` | `appendListeners(T... listeners)`
`void` | `clear()`
`int` | `count()`
`EventType<T>` | `getEventType()` Retrieve the event type associated with this groups of listeners.
`boolean` | `isEmpty()` Are there no listeners registered?
`Iterable<T>` | `listeners()`
`void` | `prependListener(T listener)`
`void` | `prependListeners(T... listeners)`

Method Detail

### getEventType

    EventType<T> getEventType()

  Retrieve the event type associated with this groups of listeners.

  Returns:
    The event type.

### isEmpty

    boolean isEmpty()

  Are there no listeners registered?

  Returns:
    true if no listeners are registered; false otherwise.

### count

    int count()

### listeners

    Iterable<T> listeners()

### addDuplicationStrategy

    void addDuplicationStrategy(DuplicationStrategy strategy)

  Mechanism to more finely control the notion of duplicates.

  For example, say you are registering listeners for an extension library. This extension library could define a "marker interface" which indicates listeners related to it and register a strategy that checks against that marker interface.

  Parameters:
    `strategy` - The duplication strategy

### appendListener

    void appendListener(T listener)

### appendListeners

    void appendListeners(T... listeners)

### prependListener

    void prependListener(T listener)

### prependListeners

    void prependListeners(T... listeners)

### clear

    void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.